# Model Configuration
model.name:
  value: UnetSupervised
model.params.input_channels:
  value: 3
model.params.n_classes:
  value: 1
model.params.dropout_decoder:
  value: [0.3, 0.2, 0.1, 0.0]
  type: list
model.params.dropout_encoder:
  value: [0, 0.1, 0.2, 0.3, 0.3]
  type: list
model.loss_fcn:
  value: DiceLoss

# Optimizer
model.optimizer.type:
  value: Adam
model.optimizer.params.lr:
  value: 0.001
model.optimizer.params.params:
  value: UnetSupervised
# LR Scheduler
model.optimizer.lrs.type:
  value: ReduceLROnPlateau
model.optimizer.lrs.params.factor:
  value: 0.5
model.optimizer.lrs.params.patience:
  value: 5
model.optimizer.lrs.params.verbose:
  value: false
model.optimizer.lrs.params.cooldown:
  value: 0
model.optimizer.lrs.params.min_lr:
  value: 0.00001

# Trainer Configuration
train.trainer.max_epochs:
  value: 10

# Data Configuration
data.datamodule.arguments.val_to_train_ratio:
  value: 0.2
data.datamodule.arguments.batch_size:
  value: 4
data.datamodule.arguments.n_classes:
  value: 1
data.datamodule.arguments.map_look_up:
  value: {0: 1}


# Callbacks Configuration
train.callbacks.early_stopping_enabled:
  value: true
train.callbacks.early_stopping_patience:
  value: 20
train.callbacks.best_metrics_log_enabled:
  value: true
train.callbacks.log_best_metric_dict:
  value: {"val/loss":"min"}
train.callbacks.epoch_duration_enabled:
  value: true

# General Augmentations
data.img_processing.norm_type:
  value: per_image_min_max
data.img_processing.img_type:
  value: mono_8_bit
data.img_processing.img_size:
  value: [128,128]
  type: list